package cn.com.poc.law.entity.motorVehicleDrivingComplaint;

import cn.com.poc.law.dto.LegalTemplateDto;

/**
 * @Author：Roger Wu
 * @name：MotorVehicleDrivingComplaint
 * @Date：2025-08-08 11:39
 */
public class MotorVehicleDrivingComplaintEntity extends LegalTemplateDto {

    Plaintiff plaintiff;
    PlaintiffOrg plaintiffOrg;
    Defendant defendant;
    DefendantOrg defendantOrg;
    Agent agent;
    ThirdParty thirdParty;
    ThirdPartyOrg thirdPartyOrg;
    Claim claim;
    FactsAndReasons factsAndReasons;
    Preservation preservation;
    UnderstandsMediationBenefit understandsMediationBenefit;

    public Plaintiff getPlaintiff() {
        return plaintiff;
    }

    public void setPlaintiff(Plaintiff plaintiff) {
        this.plaintiff = plaintiff;
    }

    public PlaintiffOrg getPlaintiffOrg() {
        return plaintiffOrg;
    }

    public void setPlaintiffOrg(PlaintiffOrg plaintiffOrg) {
        this.plaintiffOrg = plaintiffOrg;
    }

    public Defendant getDefendant() {
        return defendant;
    }

    public void setDefendant(Defendant defendant) {
        this.defendant = defendant;
    }

    public DefendantOrg getDefendantOrg() {
        return defendantOrg;
    }

    public void setDefendantOrg(DefendantOrg defendantOrg) {
        this.defendantOrg = defendantOrg;
    }

    public Agent getAgent() {
        return agent;
    }

    public void setAgent(Agent agent) {
        this.agent = agent;
    }

    public ThirdParty getThirdParty() {
        return thirdParty;
    }

    public void setThirdParty(ThirdParty thirdParty) {
        this.thirdParty = thirdParty;
    }

    public ThirdPartyOrg getThirdPartyOrg() {
        return thirdPartyOrg;
    }

    public void setThirdPartyOrg(ThirdPartyOrg thirdPartyOrg) {
        this.thirdPartyOrg = thirdPartyOrg;
    }

    public Claim getClaim() {
        return claim;
    }

    public void setClaim(Claim claim) {
        this.claim = claim;
    }

    public FactsAndReasons getFactsAndReasons() {
        return factsAndReasons;
    }

    public void setFactsAndReasons(FactsAndReasons factsAndReasons) {
        this.factsAndReasons = factsAndReasons;
    }

    public Preservation getPreservation() {
        return preservation;
    }

    public void setPreservation(Preservation preservation) {
        this.preservation = preservation;
    }

    public UnderstandsMediationBenefit getUnderstandsMediationBenefit() {
        return understandsMediationBenefit;
    }

    public void setUnderstandsMediationBenefit(UnderstandsMediationBenefit understandsMediationBenefit) {
        this.understandsMediationBenefit = understandsMediationBenefit;
    }
}
